/* CSS reset */

* {
    margin: 0px;
    padding: 0px;
}

body {
    background-color: black;
    color: white;
    font-family: "Lora", serif;
    font-size: 17px;
    text-align: center;
}

/* Navigation Bar */

#navbar {
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    align-items: flex-start;
    /* flex-wrap: wrap; */
    align-content: flex-start;
    position: fixed;
    top: 0px;
    height: 125px;
    width: 100vw;
    /* border: 2px solid white; */
    font-family: "Playfair Display", serif;
    z-index: 5;
    background-color: rgba(109, 109, 109, 0.6);
    font-size: 1.4rem;
}

/* Navigation Bar Menu*/

#navbar ul {
    border: 1px solid black;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-evenly;
    align-content: center;
    flex-wrap: wrap;
    width: 75vw;
    height: 1vh;
    padding: 20px 2px;
    list-style: none;
    background-color: rgb(0, 0, 0, 0.65);
    border-radius: 48px;
}

/* Navigation Bar: Logo */

#logo {
    height: 95px;
    width: 110px;
    display: flex;
    flex-wrap: wrap;
    align-content: center;
    justify-content: center;
    align-items: center;
    /* background-color:black; */
    /* opacity: 0.6; */
    border-radius: 0px 0px 52px 0px;
    margin: 10px;
    font-family: "Playball", cursive;
    font-weight: lighter;
}

#logo img {
    /* margin: 12px; */
    width: 90px;
    height: 90px;
    border-radius: 48px;
}

#logo:hover {
    height: 100px;
    width: 112px;
}

/* Navigation Bar Side Links */

.Links {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    align-content: center;
    align-items: stretch;
    justify-content: center;
    /* margin: 6px 3px; */
}

.NavButton {
    border: 2px solid black;
    border-radius: 24px;
    background-color: transparent;
    font-size: 1rem;
    padding: 1px;
    margin: 2px;
    width: 130px;
    font-family: "Playfair Display", serif;
}

/* Navigation Bar hyperlinks */

#navbar a {
    display: block;
    padding: 0px 8px;
    text-decoration: none;
    color: rgb(223, 236, 248);
}

#navbar a:hover {
    text-decoration: underline;
    color: rgb(204, 225, 245);
    font-size: large;
}

#navbar a:visited {
    border: 1px solid black;
    background-color: transparent;
    font-size: 1rem;
    padding: 1px;
    margin: 2px;
    width: 130px;
    font-family: "Playfair Display", serif;
    text-decoration: dashed;
    color: rgb(143, 198, 249);
}

/* Header background image */

header::before {
    content: "";
    background: url("https://images.pexels.com/photos/1025469/pexels-photo-1025469.jpeg?auto=compress&cs=tinysrgb&w=1260&h=750&dpr=2") no-repeat center center/cover;
    position: absolute;
    opacity: 0.35;
    top: 0px;
    left: 0px;
    width: 100vw;
    height: 75vh;
    z-index: -1;
}

/* Intro Section */

.Intro {
    position: relative;
    top: 21vh;
    font-size: 1.5em;
    color: white;
    /* border: 2px solid white; */
    height: 54vh;

    display: flex;
    flex-direction: column;
    /* flex-wrap: wrap; */
    align-content: center;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.Intro h1 {
    padding: 10px;
    margin: 10px;
}

.Intro button {
    border: 2px solid gray;
    border-radius: 48px;
    background-color: transparent;
    font-size: 1.2rem;
    padding: 5px;
    margin: 5px;
    width: 150px;
    font-family: "Playfair Display", serif;
}

.Intro button a {
    display: block;
    padding: 0px 6px;
    text-decoration: none;
    color: rgb(223, 236, 248);
}

.Intro button a:hover {
    text-decoration: underline;
    color: rgb(204, 225, 245);
    font-size: larger;
}

.Intro button a:visited {
    border: 2px solid black;
    border-radius: 48px;
    background-color: transparent;
    font-size: 1.2rem;
    padding: 5px;
    margin: 5px;
    width: 150px;
    font-family: "Playfair Display", serif;
    text-decoration: dashed;
    color: rgb(143, 198, 249);
}

/* Our Services */

.services {
    position: relative;
    top: 21vh;
    /* font-size: 1.8rem; */
    color: white;
    /* border: 2px solid white; */
    height: 65vh;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    flex-wrap: nowrap;
}

.services h2 {
    margin: 11px;
    padding: 11px;
    font-family: "Playball", cursive;
    font-size: 2.4rem;
    font-weight: bold;
}

.services-box {
    position: relative;
    top: 0vh;
    /* font-size: 1.5em; */
    color: white;
    /* border: 2px solid white; */
    /* height: 54vh; */
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-content: center;
    justify-content: center;
    align-items: center;
}

.box {
    border: 2px solid rgb(30, 30, 30);
    /* background-color:rgb(30,30,30); */
    border-radius: 24px;
    width: 30vw;
    height: 230px;
    padding: 3px;
    margin: 2px;

    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: space-around;
    align-items: center;
    text-align: center;
}

.box h3 {
    margin: 2px;
    padding: 0px;
    font-family: "Playball", cursive;
    font-size: 2rem;
    font-weight: bolder;
}

/* Mobile Section */

.mobile-app {
    position: relative;
    top: 120px;
    /* border: 2px solid white; */
    height: 75vh;
    width: 100vw;
    display: flex;
    flex-wrap: nowrap;
    justify-content: space-evenly;
    align-items: center;
    flex-direction: row;
    align-content: center;
    background-color: rgb(31, 31, 31);
}

.mobile-pic {
    height: 75vh;
    width: 50vw;
    /* border: 2px solid white; */
}

.Mobile {
    height: 75vh;
    width: 50vw;
    /* border: 2px solid white; */
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: center;
    align-items: center;
}

#apps1 {
    height: 100px;
    width: 200px;
}

#apps2 {
    height: 64px;
    width: 182px;
}

.Mobile h3,
.clients h3 {
    margin: 12px;
    padding: 6px;
    font-family: "Playball", cursive;
    font-size: 2.4rem;
    font-weight: light;
}

/* Client Section */

.clients {
    position: relative;
    top: 120px;
    /* border: 2px solid white; */
    height: 50vh;
    width: 100vw;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: center;
    /* background-color: rgb(31, 31, 31); */
    align-content: center;
    align-items: center;
}

.img {
    /* position: relative; */
    /* top: 223px; */
    /* border: 2px solid white; */
    height: 30vh;
    width: 75vw;
    display: flex;
    flex-direction: row;
    /* background-color: rgb(31, 31, 31); */
    flex-wrap: wrap;
    align-content: center;
    justify-content: space-evenly;
    align-items: center;
}

.image {
    height: 150px;
    width: 150px;
}

/* Client Section Background */

.clients::before {
    content: "";
    background: url("https://images.pexels.com/photos/6275217/pexels-photo-6275217.jpeg?auto=compress&cs=tinysrgb&w=1260&h=750&dpr=2") no-repeat center center/cover;
    position: absolute;
    opacity: 0.35;
    top: 0px;
    left: 0px;
    width: 100vw;
    height: 50vh;
    z-index: -1;
}

/* Footer */

footer {
    position: relative;
    top: 120px;
    /* border: 2px solid white; */
    background-color: rgb(31, 31, 31);
    color: #686464;
    height: 300px;
    width: 100vw;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: space-evenly;
    /* background-color: rgb(31, 31, 31); */
    align-content: center;
    align-items: center;
}

.index {
    /* border: 2px solid white; */
    height: 50vh;
    width: 100vw;

    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-content: center;
    justify-content: space-evenly;
    align-items: stretch;
}

.graphics {
    height: 30px;
    width: 30px;
}

.social {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    align-content: center;
    justify-content: center;
    align-items: flex-start;
}

hr {
    display: block;
    height: 2px;
    border: 5;
    color: #171717;
    background-color: #1c1b1b;

    width: 85vw;
    text-align: center;
    margin: 20px;
}

.footer ul {
    display: flex;
    list-style: none;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: space-evenly;
    align-items: flex-start;
}

.footer a {
    display: block;
    padding: 0px 8px;
    text-decoration: none;
    color: #b3b0b0;
}

.footer a:hover {
    text-decoration: underline;
    color: #818080;
}

.footer a:visited {
    border: 1px solid black;
    background-color: transparent;
    font-size: 1rem;
    padding: 1px;
    margin: 2px;
    width: 130px;
    font-family: "Playfair Display", serif;
    text-decoration: dashed;
    color: rgb(143, 198, 249);
}

/* Utility Styling */

h1 {
    font-family: "Permanent Marker", cursive;
    text-shadow: 2px 2px #5c5858;
    font-size: 3.5rem;
}